# SPDX-License-Identifier: MIT
---
__snapshot_base_packages_7_8: ["lvm2", "util-linux"]
__snapshot_base_packages_other: ["lvm2", "util-linux-core"]
__snapshot_base_packages: "{{ __snapshot_base_packages_7_8 if (__snapshot_is_rh_distro and ansible_distribution_version is version('9', '<')) else __snapshot_base_packages_other }}"
__snapshot_extra_packages: ["boom-boot", "snapm"]
__snapshot_packages: "{{ __snapshot_base_packages + __snapshot_extra_packages if ((__snapshot_is_rh_distro and ansible_distribution_version is version('9.6', '>=')) or (ansible_distribution == 'Fedora' and ansible_distribution_version is version('41', '>='))) else __snapshot_base_packages }}"
__snapshot_services: []
# python to use on managed nodes for snapshot.py
__snapshot_python: /usr/bin/python3
# ansible_facts required by the role
__snapshot_required_facts:
  - distribution
  - distribution_major_version
  - distribution_version
  - os_family
# the subsets of ansible_facts that need to be gathered in case any of the
# facts in required_facts is missing; see the documentation of
# the 'gather_subset' parameter of the 'setup' module
__snapshot_required_facts_subsets: "{{ ['!all', '!min'] + __snapshot_required_facts }}"

# BEGIN - DO NOT EDIT THIS BLOCK - rh distros variables
# Ansible distribution identifiers that the role treats like RHEL
__snapshot_rh_distros:
  - AlmaLinux
  - CentOS
  - RedHat
  - Rocky

# Same as above but includes Fedora
__snapshot_rh_distros_fedora: "{{ __snapshot_rh_distros + ['Fedora'] }}"

# Use this in conditionals to check if distro is Red Hat or clone
__snapshot_is_rh_distro: "{{ ansible_distribution in __snapshot_rh_distros }}"

# Use this in conditionals to check if distro is Red Hat or clone, or Fedora
__snapshot_is_rh_distro_fedora: "{{ ansible_distribution in __snapshot_rh_distros_fedora }}"
# END - DO NOT EDIT THIS BLOCK - rh distros variables
